## org.apache.batik.bridge
Class SVGTextElementBridge.TextPathBridge

    java.lang.Object
      org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildSVGContext
          org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler
              org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildTextContent
                  org.apache.batik.bridge.SVGTextElementBridge.TextPathBridge

All Implemented Interfaces:
  BridgeUpdateHandler, SVGContext, SVGTextContent

Enclosing class:
  SVGTextElementBridge

protected class SVGTextElementBridge.TextPathBridge
extends SVGTextElementBridge.AbstractTextChildTextContent

BridgeUpdateHandle for <textPath> element.

Field Summary

Fields inherited from class org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildSVGContext
`ctx, e, textBridge`

Constructor Summary
`SVGTextElementBridge.TextPathBridge(BridgeContext ctx, SVGTextElementBridge parent, org.w3c.dom.Element e)`

Methods inherited from class org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildTextContent
`getCharNumAtPosition, getComputedTextLength, getEndPositionOfChar, getExtentOfChar, getNumberOfChars, getRotationOfChar, getStartPositionOfChar, getSubStringLength, selectSubString`

Methods inherited from class org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler
`dispose, handleCSSEngineEvent, handleDOMAttrModifiedEvent, handleDOMCharacterDataModified, handleDOMNodeInsertedEvent, handleDOMNodeRemovedEvent`

Methods inherited from class org.apache.batik.bridge.SVGTextElementBridge.AbstractTextChildSVGContext
`getBBox, getCTM, getFontSize, getGlobalTransform, getPixelToMM, getPixelUnitToMillimeter, getScreenTransform, getViewportHeight, getViewportWidth, setScreenTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTextElementBridge.TextPathBridge

    public SVGTextElementBridge.TextPathBridge(BridgeContext ctx,
                                               SVGTextElementBridge parent,
                                               org.w3c.dom.Element e)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.